Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
menucategorylist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )
| $t
| $category = new eZImageCategory( $CategoryID )
| $user = eZUser::currentUser()
| $categoryList =& $category->getByParent( $category )
foreach( $categoryList as $categoryItem) if(count( $categoryList)) | else

## Variable Documentation

## ◆ $category

$category = new eZImageCategory( $CategoryID )

Definition at line 54 of file menucategorylist.php.

## ◆ $categoryList

$categoryList =& $category->getByParent( $category )

Definition at line 58 of file menucategorylist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )

Definition at line 42 of file menucategorylist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 39 of file menucategorylist.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 41 of file menucategorylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl/", $Language, "menucategorylist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: menucategorylist.php:41
$ini
$ini
Definition: menucategorylist.php:39

Definition at line 44 of file menucategorylist.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 56 of file menucategorylist.php.

## ◆ else

foreach ($categoryList as $categoryItem) if (count($categoryList)) else

Initial value:
{
$t->set_var( "category_list", "" )
$t
$t
Definition: menucategorylist.php:44

Definition at line 76 of file menucategorylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.